• Русский
  • Application Lifecycle

    This section describes the APIs for managing the lifecycle of applications in the Alauda Container Platform.

    /acp/v1/kubernetes/{cluster_name}/namespaces/{namespace}/applications

    post Create Application

    Creates a new application resource with a list of component templates.

    Parameters

    • cluster_name (in path): string required
    • namespace (in path): string required

    Request Body

    Application

    Response

    /acp/v1/kubernetes/{cluster_name}/namespaces/{namespace}/applications/{name}

    get List Application Resources

    Lists the application resource itself and its sub-resources.

    Parameters

    • cluster_name (in path): string required
    • namespace (in path): string required
    • name (in path): string required

    Response

    • 200 array: Successful
      Items:object

    put Update Application

    Parameters

    • cluster_name (in path): string required
    • namespace (in path): string required
    • name (in path): string required

    Request Body

    Application

    Response

    delete Delete Application

    Parameters

    • cluster_name (in path): string required
    • namespace (in path): string required
    • name (in path): string required

    Response

    • 204 : No Content

    /acp/v1/kubernetes/{cluster_name}/namespaces/{namespace}/applications/{name}/rollback

    post Rollback Application

    Parameters

    • cluster_name (in path): string required
    • namespace (in path): string required
    • name (in path): string required

    Response

    • 204 : No Content

    /acp/v1/kubernetes/{cluster_name}/namespaces/{namespace}/applications/{name}/start

    post Start Application

    Parameters

    • cluster_name (in path): string required
    • namespace (in path): string required
    • name (in path): string required

    Response

    • 204 : No Content

    /acp/v1/kubernetes/{cluster_name}/namespaces/{namespace}/applications/{name}/stop

    post Stop Application

    Parameters

    • cluster_name (in path): string required
    • namespace (in path): string required
    • name (in path): string required

    Response

    • 204 : No Content

    Application

    ObjectMeta

    • name: string
    • namespace: string
    • uid: string
    • resourceVersion: string
    • creationTimestamp: string
    • labels: map[string]string
    • annotations: map[string]string

    ApplicationSpec

    • componentTemplates: []KubernetesResource
    • assemblyPhase: string
    • componentKinds: []object
    • selector: object
    • descriptor: object

    KubernetesResource

    A generic Kubernetes resource object.

    • apiVersion: string
    • kind: string
    • metadata: ObjectMeta
    • spec: object

      The specification of the resource.

    • status: object

      The current status of the resource.

    ApplicationStatus

    • state: string
    • totalComponents: integer
    • workloadsStatus: object
    • conditions: []object
    • observedGeneration: integer